import { ActionBarFooterProps } from './ActionBarTemplates/ActionBarFooter/ActionBarFooter';
import { ActionBarMessageProps } from './ActionBarTemplates/ActionBarMessage/ActionBarMessage';
export type ActionBarOptions = {
    priority?: number;
    id?: string;
};
declare class ActionBarService {
    setFooter(actionBarProps: ActionBarFooterProps): void;
    hideFooter(): void;
    addMessage(actionBarProps: ActionBarMessageProps, options?: ActionBarOptions): ActionBarOptions;
    removeMessage(id: string): void;
}
export declare const actionBarService: ActionBarService;
export {};
